Bug 1299186 - [abrt] numptyphysics: std::__throw_out_of_range_fmt(): numptyphysics killed by SIGABRT
[abrt] numptyphysics: std::__throw_out_of_range_fmt(): numptyphysics killed b...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: numptyphysics (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d910f50782919458f3fec253599...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-16 23:50 EST by steve.shockley
Modified: 2016-03-22 15:54 EDT (History)
1 user (show)

See Also:
Fixed In Version: numptyphysics-0.4-0.9.20151231gitc0abd47.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-22 15:54:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (11.32 KB, text/plain)
2016-01-16 23:50 EST, steve.shockley
no flags Details
File: cgroup (200 bytes, text/plain)
2016-01-16 23:50 EST, steve.shockley
no flags Details
File: core_backtrace (3.52 KB, text/plain)
2016-01-16 23:50 EST, steve.shockley
no flags Details
File: dso_list (6.55 KB, text/plain)
2016-01-16 23:50 EST, steve.shockley
no flags Details
File: environ (1.32 KB, text/plain)
2016-01-16 23:50 EST, steve.shockley
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-16 23:50 EST, steve.shockley
no flags Details
File: maps (30.47 KB, text/plain)
2016-01-16 23:50 EST, steve.shockley
no flags Details
File: mountinfo (3.47 KB, text/plain)
2016-01-16 23:50 EST, steve.shockley
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-16 23:50 EST, steve.shockley
no flags Details
File: open_fds (423 bytes, text/plain)
2016-01-16 23:50 EST, steve.shockley
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2016-01-16 23:50 EST, steve.shockley
no flags Details
File: var_log_messages (314 bytes, text/plain)
2016-01-16 23:50 EST, steve.shockley
no flags Details

  None (edit)
Description steve.shockley 2016-01-16 23:50:39 EST
Description of problem:
Program crashed on startup

Version-Release number of selected component:
numptyphysics-0.4-0.8.20140108git4837e29.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        numptyphysics
crash_function: std::__throw_out_of_range_fmt
executable:     /usr/bin/numptyphysics
global_pid:     9413
kernel:         4.3.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #6 std::__throw_out_of_range_fmt at ../../../../../libstdc++-v3/src/c++11/functexcept.cc:104
 #7 std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >::_M_check at /usr/include/c++/5.1.1/bits/basic_string.h:261
 #8 std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >::substr at /usr/include/c++/5.1.1/bits/basic_string.h:2294
 #9 nameFromPath at src/Levels.cpp:54
 #10 Levels::collectionName[abi:cxx11](int, bool) at src/Levels.cpp:290
 #11 Levels::dump at src/Levels.cpp:255
 #12 App::App at src/App.cpp:60
 #13 npmain at src/App.cpp:143
Comment 1 steve.shockley 2016-01-16 23:50:43 EST
Created attachment 1115533 [details]
File: backtrace
Comment 2 steve.shockley 2016-01-16 23:50:44 EST
Created attachment 1115534 [details]
File: cgroup
Comment 3 steve.shockley 2016-01-16 23:50:45 EST
Created attachment 1115535 [details]
File: core_backtrace
Comment 4 steve.shockley 2016-01-16 23:50:46 EST
Created attachment 1115536 [details]
File: dso_list
Comment 5 steve.shockley 2016-01-16 23:50:47 EST
Created attachment 1115537 [details]
File: environ
Comment 6 steve.shockley 2016-01-16 23:50:48 EST
Created attachment 1115538 [details]
File: limits
Comment 7 steve.shockley 2016-01-16 23:50:49 EST
Created attachment 1115539 [details]
File: maps
Comment 8 steve.shockley 2016-01-16 23:50:50 EST
Created attachment 1115540 [details]
File: mountinfo
Comment 9 steve.shockley 2016-01-16 23:50:51 EST
Created attachment 1115541 [details]
File: namespaces
Comment 10 steve.shockley 2016-01-16 23:50:52 EST
Created attachment 1115542 [details]
File: open_fds
Comment 11 steve.shockley 2016-01-16 23:50:53 EST
Created attachment 1115543 [details]
File: proc_pid_status
Comment 12 steve.shockley 2016-01-16 23:50:54 EST
Created attachment 1115544 [details]
File: var_log_messages
Comment 13 Fedora Update System 2016-01-31 02:56:35 EST
numptyphysics-0.4-0.8.20151231gitc0abd47.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0e9872fc8b
Comment 14 Fedora Update System 2016-02-01 02:51:46 EST
numptyphysics-0.4-0.9.20151231gitc0abd47.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0e9872fc8b
Comment 15 Fedora Update System 2016-03-22 15:54:03 EDT
numptyphysics-0.4-0.9.20151231gitc0abd47.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.